import { tmrColors, tmrConstants } from "../tmr-utility.js";
import { Draconique } from "./draconique.js";

export class SortReserve extends Draconique {

  constructor() {
    super();
  }

  type() { return '' }
  match(item) { return false; }
  manualMessage() { return false }
  async onActorCreateOwned(actor, item) { }

  code() { return 'sort' }
  tooltip(linkData) { return `${linkData.name}, r${linkData.data.ptreve_reel}` }
  img() { return 'icons/svg/book.svg' }

  _createSprite(pixiTMR) {
    return pixiTMR.sprite(this.code(), { color: tmrColors.sort, decallage: tmrConstants.right });
  }
}
